Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] Can't install libreadline8: unresolvable shlib `libffi.so.6'
@ 2020-03-26  8:15 Anachron
  2020-03-26  8:19 ` Anachron
  2020-03-26  8:19 ` [ISSUE] [CLOSED] " Anachron
  0 siblings, 2 replies; 3+ messages in thread
From: Anachron @ 2020-03-26  8:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1075 bytes --]

New issue by Anachron on void-packages repository

https://github.com/void-linux/void-packages/issues/20375

Description:
Tried rebasing my samba4 branch and got this:

```
=> samba-4.12.0_1: installing host dependencies: pkg-config-0.29.2_2 perl-5.30.2_1 python3-devel-3.8.1_1 docbook-xsl-1.79.1_7 python3-3.8.1_1 ...
=> samba-4.12.0_1: installing target dependencies: readline-devel-8.0.001_1 libcap-devel-2.33_1 popt-devel-1.16_7 e2fsprogs-devel-1.45.5_1 tdb-devel-1.3.16_1 libldap-devel-2.4.49_1 libxslt-1.1.34_2 pam-devel-1.3.0_2 acl-devel-2.2.53_1 avahi-libs-devel-0.7_9 talloc-devel-2.3.1_1 cups-devel-2.3.1_1 lmdb-devel-0.9.24_1 gnutls-devel-3.6.12_2 gpgme-devel-1.13.1_2 perl-Parse-Yapp-1.21_1 jansson-devel-2.12_1 libarchive-devel-3.4.2_1 ...
=> samba-4.12.0_1: removing autodeps, please wait...
=> ERROR: samba-4.12.0_1: failed to install 'readline-devel-8.0.001_1' dependency! (error 8)
python3-3.8.1_1: broken, unresolvable shlib `libffi.so.6'
Transaction aborted due to unresolved shlibs.
=> ERROR: Please see above for the real error, exiting...
```

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: Can't install libreadline8: unresolvable shlib `libffi.so.6'
  2020-03-26  8:15 [ISSUE] Can't install libreadline8: unresolvable shlib `libffi.so.6' Anachron
@ 2020-03-26  8:19 ` Anachron
  2020-03-26  8:19 ` [ISSUE] [CLOSED] " Anachron
  1 sibling, 0 replies; 3+ messages in thread
From: Anachron @ 2020-03-26  8:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 172 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/issues/20375#issuecomment-604292239

Comment:
Nvm, my git pull was faulty.

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [ISSUE] [CLOSED] Can't install libreadline8: unresolvable shlib `libffi.so.6'
  2020-03-26  8:15 [ISSUE] Can't install libreadline8: unresolvable shlib `libffi.so.6' Anachron
  2020-03-26  8:19 ` Anachron
@ 2020-03-26  8:19 ` " Anachron
  1 sibling, 0 replies; 3+ messages in thread
From: Anachron @ 2020-03-26  8:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1078 bytes --]

Closed issue by Anachron on void-packages repository

https://github.com/void-linux/void-packages/issues/20375

Description:
Tried rebasing my samba4 branch and got this:

```
=> samba-4.12.0_1: installing host dependencies: pkg-config-0.29.2_2 perl-5.30.2_1 python3-devel-3.8.1_1 docbook-xsl-1.79.1_7 python3-3.8.1_1 ...
=> samba-4.12.0_1: installing target dependencies: readline-devel-8.0.001_1 libcap-devel-2.33_1 popt-devel-1.16_7 e2fsprogs-devel-1.45.5_1 tdb-devel-1.3.16_1 libldap-devel-2.4.49_1 libxslt-1.1.34_2 pam-devel-1.3.0_2 acl-devel-2.2.53_1 avahi-libs-devel-0.7_9 talloc-devel-2.3.1_1 cups-devel-2.3.1_1 lmdb-devel-0.9.24_1 gnutls-devel-3.6.12_2 gpgme-devel-1.13.1_2 perl-Parse-Yapp-1.21_1 jansson-devel-2.12_1 libarchive-devel-3.4.2_1 ...
=> samba-4.12.0_1: removing autodeps, please wait...
=> ERROR: samba-4.12.0_1: failed to install 'readline-devel-8.0.001_1' dependency! (error 8)
python3-3.8.1_1: broken, unresolvable shlib `libffi.so.6'
Transaction aborted due to unresolved shlibs.
=> ERROR: Please see above for the real error, exiting...
```

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, back to index

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-03-26  8:15 [ISSUE] Can't install libreadline8: unresolvable shlib `libffi.so.6' Anachron
2020-03-26  8:19 ` Anachron
2020-03-26  8:19 ` [ISSUE] [CLOSED] " Anachron

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git